#!/bin/sh
# Shell to look at unique solutions
# Does not trap everything
cp solutions.xfom solutions.tran
wc -l solutions.xfom > tt
read ntot rest < tt
rm tt

# Are we doing semper as well ?
grep -e SEMP $1.ins | read semp rest

ncurrent=1

while [ "$ncurrent" -le "$ntot" ]
   do
   echo $ncurrent > temp
   cnvrtsol $1
   rm -f $1.lst
   fs2D $1  > phase.log
# CHANGE NAME HERE TO Uniq$ncurrent.tif ?
   mv EDMs.tif Uniq$ncurrent.tif
   rm -f temp
   echo Calculated Unique Solution $ncurrent
   if test "$semp" = "SEMP"; then
                mv Solution UniqSemper$ncurrent.dat
   fi
   ncurrent=`expr $ncurrent + 1`
done
